function y = MMult_sparse(I,J,S,x,dim);
% matrix-vector multiplication
% for sparse matrix, characterised by
% rows I, columns J, values V
% and size dim*dim
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

y = zeros(dim,1);

for ctr = 1:length(I);
  y(I(ctr)) = y(I(ctr))+S(ctr)*x(J(ctr));
end